Subject: Re: linux-next: build failure after merge of the btrfs tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 31 Oct 2021 15:30:09 +1100

Hi David,

On Fri, 29 Oct 2021 14:14:09 +0200 David Sterba <[email-masked]> wrote:
>
> On Fri, Oct 29, 2021 at 01:58:53PM +0300, Andy Shevchenko wrote:
> > On Friday, October 29, 2021, David Sterba <[email-masked]> wrote:
> >   
> > > On Fri, Oct 29, 2021 at 11:52:26AM +0200, David Sterba wrote:  
> > > > On Wed, Oct 27, 2021 at 09:09:24PM +1100, Stephen Rothwell wrote:  
> > > > > Hi all,
> > > > >
> > > > > [I am not sure why this error only popped up after I merged Andrew's
> > > > > patch set ...]  
> > >
> > >  
> > 
> > 
> >   
> > > Also I think that next time you can use some older version of the
> > > for-next branch instead of making the whole subsystem depend on BROKEN.
> > > This causes much more harm in the testing setups that suddenly can't
> > > work at all, compared to testing a few days older branch.  
> > 
> > The Linux Next reflects current state of affairs and marking something
> > which is definitely broken as BROCKEN is what I expect as a developer who
> > tests some other stuff on top of broken code.  
> 
> I'd argue against using the big 'depdends BROKEN' hammer as much as
> possible, surely not for linux-next. Normaly the BROKEN status is earned
> after known unfixed breakage for subsystems where nobody cares. If code
> is buggy and causes crashes when testing linux-next, that's something we
> want to see, not "no test results at all".
> 
> Can you imagine all compilation breakages in linux-next get resolved by
> BROKEN? I know Stephen is capable of fixing various compilation problems
> by himself and given the whole-tree scope it's heroic efforts, leaving
> the shortcuts for the rest. In this case the fix may not be obvious so
> I'd understand not merging my for-next branch at all or merging a stub
> like the latest rc instead, ie. resolving that on the integration level
> and not touching the config or code itself.

OK, this was a pain because the error did not show up until late in
the day (something in Andrew's patch series exposed the problem - note
my report was sent at 9:09 PM - my day starts about 7:30 AM).  This is
after I had merged maybe 150-200 tress in top of yours. My choices are
few at that point (you don't expect me to remerge all those trees,
right?).  Almost all errors I see are immediately after I merge a tree,
at which point my usual response is to reset my tree to before the
merge and then merge the previous day's version of the tree. Generally,
I do not fix build errors unless they are caused by an interaction
between 2 trees.

Given that I had spent some time to figure out what the problem was, I
expected a fix to be done pretty soon, so the easiest way I could
continue was to just mark btrfs broken and continue on (I still had
another hour to go before I was finished (my days get really long just
before Linus does a release :-( ).
-- 
Cheers,
Stephen Rothwell